Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059502 - The screen remains black when I resume after suspend
Summary: The screen remains black when I resume after suspend
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 01:23 UTC by Graham
Modified: 2014-06-05 13:46 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-05 13:46:58 UTC


Attachments (Terms of Use)
dmesg output prior to closing the lid (deleted)
2014-01-30 01:23 UTC, Graham
no flags Details
dmesg output after closing and reopening the lid (obtained using SSH) (deleted)
2014-01-30 01:24 UTC, Graham
no flags Details
Xorg.0.log after closing and reopening the lid (deleted)
2014-01-30 01:25 UTC, Graham
no flags Details

Description Graham 2014-01-30 01:23:06 UTC
Created attachment 857318 [details]
dmesg output prior to closing the lid

Description of problem:
I have set up my new Toshiba laptop to always suspend (in XFCE; "sleep" in KDE) when the lid is closed. However, when I open the lid, everything is working except for the screen, which is black. I can interact with the machine using SSH or SFTP from another machine, and the keyboard seems to be alive, lighting up when I press keys, but I cannot see any output. The brightness level has been set to full. I have to hold down the power button to force it to close down and then restart it to regain the screen.

Under Fedora 19, the screen always came back properly when resuming, but the keyboard was sometimes dead,and I needed to close the lid and wait a while before trying again, and eventually it always worked properly.

Version-Release number of selected component (if applicable):
3.12.8-300.fc20.x86_64

How reproducible:
every time

Steps to Reproduce:
1. In Settings / power manager, set the action to Suspend when laptop lid is closed (on AC and on Battery and when battery power is critical
2. Close the lid and wait for the front lights to turn off
3. Open the lid

Actual results:
The screen is black and does not show any output, regardless of what I do.

Expected results:
The normal Fedora screen contents should be visible, which changes in response to mouse or keyboard input.

Additional info:
It makes no difference whether power is connected or not when I shut the lid.

I have attached dmesg output in two files: before shutting the lid, and after shutting and reopening the lid. I have also attached Xorg.0.log

Comment 1 Graham 2014-01-30 01:24:27 UTC
Created attachment 857319 [details]
dmesg output after closing and reopening the lid (obtained using SSH)

Comment 2 Graham 2014-01-30 01:25:37 UTC
Created attachment 857320 [details]
Xorg.0.log after closing and reopening the lid

Comment 3 Jay Kamat 2014-02-09 18:47:24 UTC
This is also an issue for me. I have AMD graphics 7000HD series
I am using default, open-source drivers

Comment 4 collura 2014-02-17 04:31:50 UTC
possibly duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1007227

Comment 5 Graham 2014-02-17 05:47:19 UTC
Yes, the symptoms appear identical to those in https://bugzilla.redhat.com/show_bug.cgi?id=1007227

Comment 6 Marvin Clavey 2014-02-22 12:49:41 UTC
I have the same problem 
HP laptop dv7  fedora 20 
gnome 3.10.3  
Gallium 0.4 on AMD RS880

It appears to me the video driver is not initialised properly.

Comment 7 Viktor 2014-04-29 21:01:01 UTC
I have the same problem 
Dell Inspiron 1525 fedora 20 
KDE 4.12.3
Renderer: Mesa DRI Intel(R) 965GM 
OpenGL/ES version: 2.1 Mesa 10.1.0

Comment 8 Viktor 2014-04-29 21:11:56 UTC
This is happened with kernet 3.13 and all work with kernlet 3.11.

Thanks to https://ask.fedoraproject.org/en/question/23620/laptop-screen-not-recovering-from-suspend/

Tested and work for me.

Comment 9 marc skinner 2014-05-12 18:23:33 UTC
Same thing with me on my Thinkpad T530.

Fedora 20 will have a black screen after sleep mode - doesn't ever resume with a graphics.

Appears to be broken with kenrnel:

kernel-3.14.3-200.fc20.x86_64


Everything was working with this kernel:

kernel-3.14.2-200.fc20.x86_64

Comment 10 Josh Boyer 2014-05-12 18:57:01 UTC
(In reply to marc skinner from comment #9)
> Same thing with me on my Thinkpad T530.
> 
> Fedora 20 will have a black screen after sleep mode - doesn't ever resume
> with a graphics.
> 
> Appears to be broken with kenrnel:
> 
> kernel-3.14.3-200.fc20.x86_64
> 
> 
> Everything was working with this kernel:
> 
> kernel-3.14.2-200.fc20.x86_64

Hm.  That might be a different issue.  We're carrying some patches for the T530,

Comment 11 Hans de Goede 2014-05-13 12:27:20 UTC
Hi,

(In reply to marc skinner from comment #9)
> Same thing with me on my Thinkpad T530.
> 
> Fedora 20 will have a black screen after sleep mode - doesn't ever resume
> with a graphics.
> 
> Appears to be broken with kenrnel:
> 
> kernel-3.14.3-200.fc20.x86_64
> 
> 
> Everything was working with this kernel:
> 
> kernel-3.14.2-200.fc20.x86_64

Can you please try with "video.use_native_backlight=0" added on the kernel commandline, and see if the black screen problem then goes away ?

Please also provide the output of "ls /sys/class/backlight" both with and without that kernel commandline parameter, and check if brightness control works through the hotkeys on the keyboard in both cases.

Thanks,

Hans

Comment 12 marc skinner 2014-05-13 13:46:48 UTC
With out the kernel option, when I boot into kernel kernel-3.14.3-200.fc20.x86_64 sometimes the gdm login screen is black or when I resume after suspend it is black.  It appears that the brightness control has been set to zero making it completely black.  I can use the controls on the keyboard to brighten the screen and then get back to normal.

With out the kernel option I get this output:
ls /sys/class/backlight
intel_backlight

With the kernel option I get this output and everything works without any brightness resetting to zero.

ls /sys/class/backlight
acpi_video0  intel_backlight

The older kernel: kernel-3.14.2-200.fc20.x86_64 also displays the following 2 files:


ls /sys/class/backlight
acpi_video0  intel_backlight

Regression?

Comment 13 Hans de Goede 2014-05-13 14:27:05 UTC
Marc,

So it looks like the fix for bug 1089545 (which is about a T530) is causing things to break on your T530, interesting (aka nasty). Can you please re-open bug 1089545 , and then lets continue this discussion there.

For starters 3 questions to answer in that other bug:

1) Are you using EFI boot or legacy boot ?

2) Please run:
grep '.*' /sys/class/dmi/id/*_* 2> /dev/null

And copy and paste the output into that bug

3) Which desktop environment are you using ?

Thanks,

Hans

Comment 14 Hans de Goede 2014-06-05 13:46:58 UTC
Hi All,

I've recently been working on a lot of different backlight bugs, and I'm slowly getting a handle on them, so now it is time to tackle this one.

In order to properly deal with this bug, I'm going to do something unexpected: I'm going to close this bug. Why? Because there are too much me too comments here, which are not helpful. Just because you are seeing the same symptoms as the original reporter does not mean that the problem has the same underlying cause. So please everybody on this bug (including the original reporter) file a new bug.

In this new bug do the following:

1) File it against the kernel
2) Put your laptop model (and your problem of course) in the Summary of the bug
3) In the description, besides describing the problem, please include the output of:
3.1) ls /sys/class/backlight
3.2) grep '.*' /sys/class/dmi/id/*_* 2> /dev/null

Also please try the below steps to resolve the problem. Even if these help, please do file a new bug so that we can fix things to work without needing special kernel commandline parameters, so that other users with the same model laptop can have things working ootb.

First of all, please download this kernel (download the kernel-3.15...rpm for your architecture) :
http://koji.fedoraproject.org/koji/buildinfo?buildID=521241

And then install it using:

sudo rpm -ivh kernel...rpm

Then reboot into it and see if that fixes things. If it does not fix things, please reboot again and in grub edit the boot commands to add:

video.use_native_backlight=1

Then boot again and see if it things are fixed now.

If video.use_native_backlight=1 does not help, try again, and this time add the following to the kernel cmdline:

acpi_osi="!Windows 2012"

Note if video.use_native_backlight=1 does help, there is no reason to try with acpi_osi="!Windows 2012" .

Please add the results of these test to the description of the bug when you file a new bug for this.

Thanks & Regards,

Hans


Note You need to log in before you can comment on or make changes to this bug.